package com.prolog.rdc.tms.service;

/**
 * 预警服务层
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/1 12:43
 */
public interface AlertJobService {

	/**
	 * 未及时提货预警处理
	 *
	 * @param
	 * @return
	 */
	void notPicUpAlert();

	/**
	 * 未及时送货预警处理
	 *
	 * @param
	 * @return
	 */
	void notDeliveryAlert();

	/**
	 * 未及时理货预警处理
	 *
	 * @param
	 * @return
	 */
	void notArrangeAlert();

	/**
	 * 未及时装卸预警处理
	 *
	 * @param
	 * @return
	 */
	void notLoadingAndUnLoadingAlert();

}
